[master 1/2] Add a kickstart test for processing NTP servers/pools configuration

vpodzime installerbot-noreply at redhat.com
Thu May 28 14:50:08 UTC 2015


From: Vratislav Podzimek <vpodzime at redhat.com>

Servers are just URLs in 'timezone --ntpservers', pools are URLs entered 4 times
in 'timezone --ntpservers'. Anaconda should make sure such transformation
happens.

Signed-off-by: Vratislav Podzimek <vpodzime at redhat.com>
---
 tests/kickstart_tests/ntp-pools.ks | 40 +++++++++++++++++++++++++++++++
 tests/kickstart_tests/ntp-pools.sh | 48 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)
 create mode 100644 tests/kickstart_tests/ntp-pools.ks
 create mode 100755 tests/kickstart_tests/ntp-pools.sh

diff --git a/tests/kickstart_tests/ntp-pools.ks b/tests/kickstart_tests/ntp-pools.ks
new file mode 100644
index 0000000..356f000
--- /dev/null
+++ b/tests/kickstart_tests/ntp-pools.ks
@@ -0,0 +1,40 @@
+#version=DEVEL
+url --url="http://dl.fedoraproject.org/pub/fedora/linux/development/$releasever/$basearch/os/"
+install
+network --bootproto=dhcp
+
+# use ntp.cesnet.cz as an NTP server and 0.pool.ntp.org as an NTP pool
+timezone --utc --ntpservers=ntp.cesnet.cz,0.pool.ntp.org,0.pool.ntp.org,0.pool.ntp.org,0.pool.ntp.org Europe/Prague
+
+bootloader --timeout=1
+zerombr
+clearpart --all --initlabel
+part --fstype=ext4 --size=4400 /
+part --fstype=ext4 --size=500 /boot
+part --fstype=swap --size=500 swap
+
+keyboard us
+lang en_US.UTF-8
+timezone America/New_York --utc
+rootpw testcase
+shutdown
+
+%packages --default
+%end
+
+%post
+# server 0.fedora.pool.ntp.org iburst
+egrep '^\s*server\s*ntp\.cesnet\.cz\s*[a-zA-Z]+\s*$' /etc/chrony.conf
+if [ $? -ne 0 ]; then
+    echo '*** ntp.cesnet.cz not configured as an NTP server' >> /root/RESULT
+fi
+
+egrep '^\s*pool\s*0\.pool\.ntp\.org\s*[a-zA-Z]+\s*$' /etc/chrony.conf
+if [ $? -ne 0 ]; then
+    echo '*** 0.pool.ntp.org not configured as an NTP pool' >> /root/RESULT
+fi
+
+if [ ! -e /root/RESULT ]; then
+   echo SUCCESS > /root/RESULT
+fi
+%end
diff --git a/tests/kickstart_tests/ntp-pools.sh b/tests/kickstart_tests/ntp-pools.sh
new file mode 100755
index 0000000..549d07a
--- /dev/null
+++ b/tests/kickstart_tests/ntp-pools.sh
@@ -0,0 +1,48 @@
+#
+# Copyright (C) 2015  Red Hat, Inc.
+#
+# This copyrighted material is made available to anyone wishing to use,
+# modify, copy, or redistribute it subject to the terms and conditions of
+# the GNU General Public License v.2, or (at your option) any later version.
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY expressed or implied, including the implied warranties of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
+# Public License for more details.  You should have received a copy of the
+# GNU General Public License along with this program; if not, write to the
+# Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.  Any Red Hat trademarks that are incorporated in the
+# source code or documentation are not subject to the GNU General Public
+# License and may only be used or replicated with the express permission of
+# Red Hat, Inc.
+#
+# Red Hat Author(s): Chris Lumens <clumens at redhat.com>
+
+kernel_args() {
+    echo vnc
+}
+
+prepare() {
+    ks=$1
+    tmpdir=$2
+
+    echo ${ks}
+}
+
+validate() {
+    img=$1
+
+    # There should be a /root/RESULT file with results in it.  Check
+    # its contents and decide whether the test finally succeeded or
+    # not.
+    result=$(virt-cat -a ${img} -m /dev/sda2 /root/RESULT)
+    if [[ $? != 0 ]]; then
+        status=1
+        echo '*** /root/RESULT does not exist in VM image.'
+    elif [[ "${result}" != "SUCCESS" ]]; then
+        status=1
+        echo "${result}"
+    fi
+
+    return ${status}
+}
+


-- 
To view this commit on github, visit https://github.com/rhinstaller/anaconda/commit/3a62b6bd7cd76f33223f054f3e8f227ab1396f4d


More information about the anaconda-patches mailing list